Subject: bug#54030: 29.0.50; [PATCH] Extend bookmark menu with column displaying handler type

From: Matthias Meulien <[email-masked]>
Date: Sun, 20 Feb 2022 11:01:31 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Looks good to me, so I've pushed it to Emacs 29.  (But I made the type
> column shorter since the types probably won't be very long.)

Thank you, Lars.

Unfortunately, I've forgotten two bookmark handlers:
One for Gnus summary buffers and one for man pages. Could you add the
missing two lines?

(I didn't try to support xwidgets bookmarks since I never compiled with
this option and I've no knowledge of how to test that feature.)

diff --git a/lisp/gnus/gnus-sum.el b/lisp/gnus/gnus-sum.el
index 8fb07d5905..1be5a48068 100644
--- a/lisp/gnus/gnus-sum.el
+++ b/lisp/gnus/gnus-sum.el
@@ -13278,6 +13278,8 @@ gnus-summary-bookmark-jump
        (buffer . ,(current-buffer))
        . ,(bookmark-get-bookmark-record bookmark)))))
 
+(put 'gnus-summary-bookmark-jump 'bookmark-handler-type "Gnus")
+
 (gnus-summary-make-all-marking-commands)
 
 (provide 'gnus-sum)
diff --git a/lisp/man.el b/lisp/man.el
index a53a696c31..951e0ef9ad 100644
--- a/lisp/man.el
+++ b/lisp/man.el
@@ -1976,6 +1976,8 @@ Man-bookmark-jump
     (bookmark-default-handler
      `("" (buffer . ,buf) . ,(bookmark-get-bookmark-record bookmark)))))
 
+(put 'Man-bookmark-jump 'bookmark-handler-type "Man")
+
 ;;; Mouse support
 (defun Man-at-mouse (e)
   "Open man manual at point."
-- 
Matthias